AOZ Studio Beta - Bug #803

Sounds play intermittently. (Approximately every other time they're called.)
07/15/2021 10:17 AM - Brian Flanagan

Status: Closed Start date: 07/15/2021
Priority: High Due date:

Assignee: David Baldwin % Done: 0%
Category: Estimated time: 1:00 hour
Target version: none

Affected version: 1.0.0 (B10) u16

Description

Tested in 1.0.0 (B8) u15 on 7/15/2021 in macOS.
Example: The sound should play each time you hit a key, but only does about half the time:

#manifest: "aoz"

load asset "Blip_2.wav",1

// Volume Audio range = 0 to 100%
vol=100 : st=5

Print Manifest$
Repeat
Locate 0,1 : Print Using "Volume: ###";vol-st
volume audio 1,vol-st
play audio 1
vol=vol-st
Wait Key
Until vol <=0
Print "Done!"

History

#1 - 08/14/2021 12:21 AM - Brian Flanagan

Re-tested in 1.0.0 (B9) u16.
Still a problem.

For the sample code, change Blip_2.wav to Blip02.wav. (Apparently, the name changed.)

#manifest: "aoz"

load asset "Blip02.wav",1

// Volume Audio range = 0 to 100%
vol=100 : st=5

Print Manifest$
Repeat
Locate 0,1 : Print Using "Volume: ###";vol-st
volume audio 1,vol-st
play audio 1
vol=vol-st
Wait Key
Until vol <=0
Print "Done!"

#2 - 09/06/2021 07:54 PM - Brian Flanagan

Re-tested in 1.0.0 (B10) u16
Still plays intermittently.

#3 - 09/18/2021 01:47 AM - Brian Flanagan
- Affected version changed from 1.0.0 (B8) u15to 1.0.0 (B10) u16

Re-tested in 1.0.0 (B10) u16
Still plays only about every other time.
#4 - 09/21/2021 07:36 PM - David Baldwin
- Status changed from New to Resolved

- Assignee set to David Baldwin
Fixed! A sound couldn't be played until the previous play of it had finished. Sound is now ended automatically before it is replayed.

#5 - 09/22/2021 09:34 AM - Brian Flanagan

- Status changed from Resolved to Closed

Great! It's working now.
That's odd though, that the play hadn't finished... even if | waited a long time before pressing the next key.
That's why I'm not sure about this fix.

Also, we don't necessarily want a sound to stop when the next one is played, unless it is specifically on the same channel, since many programs
require playing multiple sounds at the same time. | hope this fix won't affect this ability.

#6 - 09/22/2021 09:38 AM - Brian Flanagan
Also, apparently, there is a problem with VOXLoader.js

Uncaught ReferenceError: THREE is not defined
Errors in OBJLoader.js, FBXLoader.js, ColladalLoader.js, GLTFLoader.js, DRACOLoader.js, AnaglyphEffect.js, AsciiEffect.js, OutlineEffect.js,
StereoEffect.js

#7 - 09/22/2021 09:41 PM - David Baldwin

The sample you used actually runs for one second, even though the audible noise only lasts for about 0.25 seconds. Other problems are new,
Francois working on sound at moment?
